Bug 22344 - Разломались encodings
: Разломались encodings
Status: CLOSED FIXED
: Branch 4.1
(All bugs in Branch 4.1/eyeD3)
: unspecified
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-11-19 19:53 by
Modified: 2009-12-03 10:44 (History)


Attachments
log: eyeD3 with encodings (4.94 KB, text/plain)
2009-11-19 19:53, Dmitry Chistikov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-11-19 19:53:43
Created an attachment (id=4070) [details]
log: eyeD3 with encodings

eyeD3 зачем-то начал при записи тегов выполнять лишнее "перекодирование"
(эквивалентное iconv -f latin1). Указание/неуказание --set-encoding=utf8 ничего
не меняет. Локаль ru_RU.UTF-8.

Как это выглядит:

$ eyeD3 a.mp3 
[...]
No ID3 v1.x/v2.x tag found!
$ eyeD3 --set-text-frame=TIT2:"Траляля и пр." --set-encoding=utf8 --debug a.mp3 
[...]
No ID3 v1.x/v2.x tag found!
Setting TIT2 frame to 'Траляля и пр.'
Writing tag...
[...]
ID3 v2.4:
title: Траляля и пр.          artist: 
[...]
$ echo 'Траляля и пр.' | iconv -t latin1
Траляля и пр.
$ 

Полный текст прилагаю.
------- Comment #1 From 2009-11-20 10:28:35 -------
Не знаю как в бранче 4.1, но в сизифе не воспроизводится.

$ eyeD3 --set-text-frame=TIT2:"Траляля и пр." --set-encoding=utf8 --debug a.mp3

...

eyeD3 trace> Tag write complete.  Updating state.
ID3 v2.4:
title: Траляля и пр.            artist: 
album:          year: None
track: 


$ rpm -qa | grep eyeD3 
python-module-eyeD3-0.6.15-alt1
eyeD3-0.6.15-alt1

Попробуйте взять eyeD3-0.6.15-alt1 из сизифа, если ошибка исчезнет - перенесу
0.6.15 в бранч.
------- Comment #2 From 2009-11-22 13:46:06 -------
В 0.6.15-alt1 из Sisyphus (с соответствующим python-module) работает (требуется
явное указание --set-encoding=utf8 при записи). Регрессов пока не заметил.
------- Comment #3 From 2009-12-02 23:25:52 -------
Жду FIXED, чтобы поставить CLOSED =)
------- Comment #4 From 2009-12-03 10:34:39 -------
0.6.15-alt1 в бранче, FIXED